# $Id: 09_index.t,v 1.1 2007/10/05 11:35:51 pythontech Exp $
use strict;
use Test::More tests => 1;

use lib 't/lib';
use DbUtil;

use PythonTech::Triples::DBHash;
use DB_File;

my $dbname = 't/new02.3db';

# With access = 'w', should create new db file
unlink($dbname);
my $new = new PythonTech::Triples::DBHash(filename => $dbname,
					  access => 'w');
$new->add('foo','bar','baz');
$new->add('foo','bar','quux');
$new->configure('index_s2p', 1);
$new->add('foo','wibble','baz');
$new->commit;

$new->disconnect; # close it
my $expected = join('', map {"$_\n"} sort
		    'v1 = foo', 'ifoo = 1',
		    'v2 = bar', 'ibar = 2',
		    'v3 = baz', 'ibaz = 3',
		    'v4 = quux', 'iquux = 4',
		    'v5 = wibble', 'iwibble = 5',
		    'l = 5',
		    #'l = 4',
		    't1,2,3 = 1',
		    't1,2,4 = 1',
		    't1,5,3 = 1',
		    'o1,2 = 3+4',
		    'o1,5 = 3',
		    's2,3 = 1',
		    's2,4 = 1',
		    's5,3 = 1',
		    'f = p',
		    'p1 = 2+5',
		    #'p1 = 2',
		    );
is(&dbread($dbname), $expected, 'db data for 3 triples, index_s2p');

$new = undef;
unlink($dbname);
